/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2006 satoshi akabane(akabane@logical-paradox.org)
 * $Id: CacheFileEntry.java,v 1.2 2006/01/23 02:46:11 rampil Exp $
 */
package org.logical_paradox.rss.lcmgr;

import org.logical_paradox.rss.http.WebContents;

/**
 * キャッシュファイルの情報を格納するクラス
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
class CacheFileEntry {
	private final String filename;
	private final String url;
	private final int size;

	protected CacheFileEntry( WebContents c, String fn ) {
		filename = fn;
		url = c.getLocation();
		size = c.getDocument().length();
	}
	protected int size() {
		return size;
	}
	protected String getURL() {
		return url;
	}
	protected String getFileName() {
		return filename;
	}
}
